## `string::c_str`

@}

### Synopsis

    char const*
    c_str() const noexcept;

### Description

Return the underlying character array directly.

Returns a pointer to the underlying array serving as storage. The value returned is such that the range `[c_str(), c_str() + size())` is always a valid range, even if the container is empty.

| The value returned from this function is never equal to `nullptr`.

### Complexity

Constant.

Edit this page